
QGIS Application - Bug report #16619

shape file crashes, losing all data, then can only be found as a packed file with no attribution

2017-05-25 04:18 PM - Kathleen Wood

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.14.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24519

Description

I keep encountering a problem when I am attributing a shape file. I add and populate several columns with data, then if I am editing the

layer, it crashes. When I attempt to reopen it, I can only find a _packed file. The original disappears, and the packed file has none of the

attributes I have assigned.

History

#1 - 2017-05-25 04:27 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Hi,

a few things:

1) update QGIS to the latest 2.14 or 2.18

2) backup your .qgis2 folder, then delete it, restart qgis and try again (you will not have any 3rd party plugins, and that is the point)

3) send us the data and exact steps to replicate the issue.

#2 - 2017-05-25 05:26 PM - Kathleen Wood

Please bear with me, as I am a novice user. I installed 2.18.8, and tried to back up the QGIS project folder; however, when I go to paste it onto the backup

drive, I get a dialogue that asks me if I want to paste the QGIS project file without its properties. This gives me pause about going ahead and deleting it from

my computer.

Here is a Dropbox link to the entire project folder (you will note there is a lot of data in the folder that is extraneous to what is currently being used on the

desktop. Don't worry about that information.

I am trying to use the shapefile "attributes" in the final_shx folder. This is a saved version of a previous shapefile "working_file," which also packed it in. I

added the columns, name, substrate, benthic_co, percent_co, habitat_co_, IUCN, materials_, spat/temp, which all disappeared when the file crashed. It

crashed when I was using the node tool and editing.

Any advice you can offer is appreciated.

I am attaching a zip file instead, with the implicated files. I am using both aerial imagery and a Google Earth plugin for creating the polygons.

#3 - 2017-05-25 06:05 PM - Giovanni Manghi
Kathleen Wood wrote:

Please bear with me, as I am a novice user. I installed 2.18.8, and tried to back up the QGIS project folder; however, when I go to paste it onto the

backup drive, I get a dialogue that asks me if I want to paste the QGIS project file without its properties. This gives me pause about going ahead and

deleting it from my computer.

Here is a Dropbox link to the entire project folder (you will note there is a lot of data in the folder that is extraneous to what is currently being used on

the desktop. Don't worry about that information):

https://www.dropbox.com/sh/roztkmksustcqzj/AACwQAkLQ7gY-F1mtnM_azjHa?dl=0

I am trying to use the shapefile "attributes" in the final_shx folder. This is a saved version of a previous shapefile "working_file," which also packed it

in. I added the columns, name, substrate, benthic_co, percent_co, habitat_co_, IUCN, materials_, spat/temp, which all disappeared when the file

crashed. It crashed when I was using the node tool and editing.

Any advice you can offer is appreciated.

you don't have to delete your project or data

but the

c:\users\yourusername\.qgis2

folder

this allows you to start QGIS from a semi-fresh install and thus try exclude problems caused by (example) 3rd party plugins. Make a backup of that folder,

so if is not the culprit you can restore it.

#4 - 2017-05-25 06:06 PM - Giovanni Manghi

Kathleen Wood wrote:

Please bear with me, as I am a novice user. I installed 2.18.8, and tried to back up the QGIS project folder; however, when I go to paste it onto the

backup drive, I get a dialogue that asks me if I want to paste the QGIS project file without its properties. This gives me pause about going ahead and

deleting it from my computer.

Here is a Dropbox link to the entire project folder (you will note there is a lot of data in the folder that is extraneous to what is currently being used on

the desktop. Don't worry about that information):

https://www.dropbox.com/sh/roztkmksustcqzj/AACwQAkLQ7gY-F1mtnM_azjHa?dl=0

there is a lot of stuff in this share, possibly a  lot you don't want to share at all. Can you make a ZIP file with the project and data only? Thanks.

#5 - 2017-05-25 06:16 PM - Kathleen Wood

- File final_shx.zip added

Here is the zip file. Let me know if there is something missing in this folder that you need. These are the shape files I am using and having trouble with

(except the waypoints files which continue to work, but I am now afraid to touch them).
#6 - 2017-05-26 01:08 PM - Giovanni Manghi

Kathleen Wood wrote:

Here is the zip file. Let me know if there is something missing in this folder that you need. These are the shape files I am using and having trouble

with (except the waypoints files which continue to work, but I am now afraid to touch them).

there is something fishy in the data you sent in this zip file.

"attributes" has part of the files that have a "_packed" int the name while others don't, same for "working_file".

I removed "_packed" from that names, in order to get the shapefiles file names correct, added to qgis and can edit them with no issues.

#7 - 2017-09-25 03:38 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed for lack of feedback, please reopen if necessary.

Files

final_shx.zip 3.57 MB 2017-05-25 Kathleen Wood
